Subject: Re: bug#40817: 27.0.91; setting frame parameter '(left - 0) leaves gap to the right under GTK

From: martin rudalics <[email-masked]>
Date: Wed, 29 Apr 2020 17:03:18 +0200

> I see this with the GNOME shell on Ubuntu 20.04 (not sure if itʼs
 > using mutter, how does one check that?).

With the task manager.  With wmctrl it identifies itself as GNOME shell.

 > However, the good news is that the behaviour is correct using the
 > pgtk build, including '((top - 0)).

Good to hear.  I haven't had time to look into this so far but I always
hoped that a pure GTK build would solve this and maybe some of our other
GTK issues.  It would be interesting to know whether and how the
arguments of

	gtk_window_move (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)),
			 f->left_pos / scale, f->top_pos / scale);
in xterm.c and

     gtk_window_move (GTK_WINDOW (FRAME_GTK_OUTER_WIDGET (f)),
		     f->left_pos, f->top_pos);

in pgtkterm.c differ.  BTW, did you test this with X11 or Wayland?

martin